# pcre_free_substring man page

Return to the PCRE index page.

This page is part of the PCRE HTML documentation. It was generated automatically from the original man page. If there is any nonsense in it, please consult the man page, in case the conversion went wrong.
SYNOPSIS

#include <pcre.h>

void pcre_free_substring(const char *stringptr);

void pcre16_free_substring(PCRE_SPTR16 stringptr);

void pcre32_free_substring(PCRE_SPTR32 stringptr);

DESCRIPTION

This is a convenience function for freeing the store obtained by a previous call to pcre[16|32]_get_substring() or pcre[16|32]_get_named_substring(). Its only argument is a pointer to the string.

There is a complete description of the PCRE native API in the pcreapi page and a description of the POSIX API in the pcreposix page.

Return to the PCRE index page.